import { InternalToastOptions } from './types.js';
import 'react';
import 'react-transition-preset/types';

declare class ToastQueue {
    private renderer;
    private toasts;
    constructor();
    render(): void;
    add(options: InternalToastOptions): void;
    close(key: string | undefined): void;
    closeAll(): void;
    remove(key: string | undefined): void;
    removeAll(): void;
    update(key: string, options: InternalToastOptions): void;
}

export { ToastQueue };
