declare function isBrowser(): boolean;
declare function isFunction(value: unknown): value is Function;
declare function omit<T extends Record<string, any>>(obj: T, keys: (keyof T)[]): T;
declare function classnames(...args: (string | undefined)[]): string;
declare function defaults<T extends Record<string, any>>(options: T, defaultOptions: T): T;

export { classnames, defaults, isBrowser, isFunction, omit };
